#include "testlib.h"
#include <iostream>

using namespace std;

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);
	int minS = atoi(argv[1]);
	int maxS = atoi(argv[2]);
	int minAB = atoi(argv[3]);
	int maxAB = atoi(argv[4]);
	int minT = atoi(argv[5]);
	int maxT = atoi(argv[6]);
	int s = rnd.next(minS, maxS);
	int a = rnd.next(minAB, maxAB);
	int b = rnd.next(minAB, maxAB);
	int t = rnd.next(minT, maxT);
	cout << s << " " << a << " " << b << " " << t << endl;
}